curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {}
}
'{
"project_id": "<string>",
"environment": "<string>",
"validation": {
"duration": "<string>",
"error": "<string>",
"success": true,
"output": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}ValidateFiles validates the project files using deno check without deploying. It processes the files to build a Docker image and runs validation checks to ensure the TypeScript code is valid before deployment.
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {}
}
'{
"project_id": "<string>",
"environment": "<string>",
"validation": {
"duration": "<string>",
"error": "<string>",
"success": true,
"output": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
OK
ValidationResult represents the response from project validation using deno check.